Request
curl https://sandbox.api.lendeasy.ai/v1/customers/$CUSTOMER_ID/addresses/$ADDRESS_ID/history \
-H "Authorization: Bearer $TOKEN"
await fetch(`https://sandbox.api.lendeasy.ai/v1/customers/${customerId}/addresses/${addressId}/history`, {
method: "GET",
headers: { Authorization: `Bearer ${token}` },
});
requests.get(
f"https://sandbox.api.lendeasy.ai/v1/customers/{customer_id}/addresses/{address_id}/history",
headers={"Authorization": f"Bearer {token}"},
)
{
"items": [
{
"historyId": "h_01JZ7M5KA1",
"occurredAt": "2026-08-01T17: 04:11Z",
"category": "ADDRESS",
"action": "CREATE",
"subject": {
"type": "ADDRESS",
"ref": "311",
"href": "/v1/customers/412"
},
"summary": "Address created",
"correlationId": "corr_01JZ7M5K9X"
}
],
"nextCursor": null
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}